@base <https://purl.org/coscine/ap/qudt/quantitykind/AngularDistance/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/AngularDistance/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Angular Distance sind."@de,
    "Profile for all units that are a/an Angular Distance."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Angular Distance"@de,
    "Unit: Angular Distance"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:ARCMIN unit:ARCSEC unit:DEG unit:GON unit:GRAD unit:MIL unit:MIN_Angle unit:MicroRAD unit:MilliARCSEC unit:MilliRAD unit:RAD unit:REV ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:ARCMIN rdfs:label "Arcminute"@en .
unit:ARCSEC rdfs:label "Arcsecond"@en .
unit:DEG rdfs:label "Degree"@en .
unit:GON rdfs:label "Gon"@en .
unit:GRAD rdfs:label "Grad"@en .
unit:MIL rdfs:label "Mil Angle (Nato)"@en .
unit:MIN_Angle rdfs:label "Minute Angle"@en .
unit:MicroRAD rdfs:label "Microradian"@en .
unit:MilliARCSEC rdfs:label "Milli Arcsecond"@en .
unit:MilliRAD rdfs:label "Milliradian"@en .
unit:RAD rdfs:label "Radiant"@de, "Radian"@en, "Radian"@fr, "Radian"@la, "Radian"@ms, "Radian"@pl, "Radian"@ro, "Radian"@sl, "Radiano"@pt, "Radiante"@it, "Radián"@cs, "Radián"@es, "Radián"@hu, "Radyan"@tr, "Ακτίνιο"@el, "Радиан"@bg, "Радиан"@ru, "רדיאן"@he, "راديان"@ar, "رادیان"@fa, "वर्ग मीटर"@hi, "ラジアン"@ja, "弧度"@zh .
unit:REV rdfs:label "Revolution"@en .
